<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structtcp__pseudo__hdr__t" kind="struct" language="C++" prot="public">
    <compoundname>tcp_pseudo_hdr_t</compoundname>
      <sectiondef kind="public-attrib">
      <memberdef id="structtcp__pseudo__hdr__t_1a56f4fc3de8de65756e033741dc011742" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t tcp_pseudo_hdr_t::src_ip[IPV4_ADDR_LEN]</definition>
        <argsstring>[IPV4_ADDR_LEN]</argsstring>
        <name>src_ip</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="132" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" line="132" />
      </memberdef>
      <memberdef id="structtcp__pseudo__hdr__t_1ad9f1886805e0b453bf7f2773eb23cf62" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t tcp_pseudo_hdr_t::dst_ip[IPV4_ADDR_LEN]</definition>
        <argsstring>[IPV4_ADDR_LEN]</argsstring>
        <name>dst_ip</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="133" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" line="133" />
      </memberdef>
      <memberdef id="structtcp__pseudo__hdr__t_1af0db39cca92c3622db1fd4c15a52fd7a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t tcp_pseudo_hdr_t::zero</definition>
        <argsstring />
        <name>zero</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="134" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" line="134" />
      </memberdef>
      <memberdef id="structtcp__pseudo__hdr__t_1a8191370fa5f164b16969c9473a9ac669" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t tcp_pseudo_hdr_t::prot</definition>
        <argsstring />
        <name>prot</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="135" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" line="135" />
      </memberdef>
      <memberdef id="structtcp__pseudo__hdr__t_1afea4f8f5829b3efacfcfa2640262d361" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t tcp_pseudo_hdr_t::tcp_size</definition>
        <argsstring />
        <name>tcp_size</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="136" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" line="136" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="137" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="130" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" line="131" />
    <listofallmembers>
      <member prot="public" refid="structtcp__pseudo__hdr__t_1ad9f1886805e0b453bf7f2773eb23cf62" virt="non-virtual"><scope>tcp_pseudo_hdr_t</scope><name>dst_ip</name></member>
      <member prot="public" refid="structtcp__pseudo__hdr__t_1a8191370fa5f164b16969c9473a9ac669" virt="non-virtual"><scope>tcp_pseudo_hdr_t</scope><name>prot</name></member>
      <member prot="public" refid="structtcp__pseudo__hdr__t_1a56f4fc3de8de65756e033741dc011742" virt="non-virtual"><scope>tcp_pseudo_hdr_t</scope><name>src_ip</name></member>
      <member prot="public" refid="structtcp__pseudo__hdr__t_1afea4f8f5829b3efacfcfa2640262d361" virt="non-virtual"><scope>tcp_pseudo_hdr_t</scope><name>tcp_size</name></member>
      <member prot="public" refid="structtcp__pseudo__hdr__t_1af0db39cca92c3622db1fd4c15a52fd7a" virt="non-virtual"><scope>tcp_pseudo_hdr_t</scope><name>zero</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>